com.ibm.openpages.api.solution

## Enum SolutionType

- java.lang.Object
- - java.lang.Enum<SolutionType>
  - - com.ibm.openpages.api.solution.SolutionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SolutionType>

      public enum SolutionType
      extends java.lang.Enum<SolutionType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `full` Full deployed solution.
    `integration` Integration solution.
    `legacy` Solution deployed prior to 8.2

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()`
    `static SolutionType` | `getValue(int id)`
    `static SolutionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SolutionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### legacy

          public static final SolutionType legacy

      Solution deployed prior to 8.2

    - #### full

          public static final SolutionType full

      Full deployed solution.

    - #### integration

          public static final SolutionType integration

      Integration solution. Add on elements to other solutions.

  - ### Method Detail

    - #### values

          public static SolutionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SolutionType c : SolutionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SolutionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getId

          public int getId()

    - #### getValue

          public static SolutionType getValue(int id)

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.